// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_web

import (
	context "context"
	order "gitlab.com/adhocguru/fcp/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// OfferServiceClient is the client API for OfferService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type OfferServiceClient interface {
	ListOfferProcess(ctx context.Context, in *order.ListOfferProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferProcessType(ctx context.Context, in *order.ListOfferProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferDeliveryCondition(ctx context.Context, in *order.ListOfferDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferPaymentCondition(ctx context.Context, in *order.ListOfferPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferCategory(ctx context.Context, in *order.ListOfferCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferBrand(ctx context.Context, in *order.ListOfferBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferProduct(ctx context.Context, in *order.ListOfferProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferQuantityType(ctx context.Context, in *order.ListOfferQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOfferNames(ctx context.Context, in *order.ListOfferNamesRequest, opts ...grpc.CallOption) (*order.ListOfferNamesResponse, error)
	GetOffer(ctx context.Context, in *order.GetOfferRequest, opts ...grpc.CallOption) (*order.GetOfferResponse, error)
	ListOffer(ctx context.Context, in *order.ListOfferRequest, opts ...grpc.CallOption) (*order.ListOfferResponse, error)
	SaveOffer(ctx context.Context, in *SaveOfferRequest, opts ...grpc.CallOption) (*SaveOfferResponse, error)
	ActivateOffer(ctx context.Context, in *ActivateOfferRequest, opts ...grpc.CallOption) (*ActivateOfferResponse, error)
	RejectOffer(ctx context.Context, in *RejectOfferRequest, opts ...grpc.CallOption) (*RejectOfferResponse, error)
	GetOfferFile(ctx context.Context, in *order.GetOfferFileRequest, opts ...grpc.CallOption) (*order.GetOfferFileResponse, error)
	ListOfferFile(ctx context.Context, in *order.ListOfferFileRequest, opts ...grpc.CallOption) (*order.ListOfferFileResponse, error)
	AddOfferFile(ctx context.Context, in *order.AddOfferFileRequest, opts ...grpc.CallOption) (*order.AddOfferFileResponse, error)
	DeleteOfferFile(ctx context.Context, in *order.DeleteOfferFileRequest, opts ...grpc.CallOption) (*order.DeleteOfferFileResponse, error)
}

type offerServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewOfferServiceClient(cc grpc.ClientConnInterface) OfferServiceClient {
	return &offerServiceClient{cc}
}

func (c *offerServiceClient) ListOfferProcess(ctx context.Context, in *order.ListOfferProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferProcessType(ctx context.Context, in *order.ListOfferProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferDeliveryCondition(ctx context.Context, in *order.ListOfferDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferPaymentCondition(ctx context.Context, in *order.ListOfferPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferPaymentCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferCategory(ctx context.Context, in *order.ListOfferCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferBrand(ctx context.Context, in *order.ListOfferBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferProduct(ctx context.Context, in *order.ListOfferProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferQuantityType(ctx context.Context, in *order.ListOfferQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferQuantityType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferNames(ctx context.Context, in *order.ListOfferNamesRequest, opts ...grpc.CallOption) (*order.ListOfferNamesResponse, error) {
	out := new(order.ListOfferNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) GetOffer(ctx context.Context, in *order.GetOfferRequest, opts ...grpc.CallOption) (*order.GetOfferResponse, error) {
	out := new(order.GetOfferResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/GetOffer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOffer(ctx context.Context, in *order.ListOfferRequest, opts ...grpc.CallOption) (*order.ListOfferResponse, error) {
	out := new(order.ListOfferResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOffer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) SaveOffer(ctx context.Context, in *SaveOfferRequest, opts ...grpc.CallOption) (*SaveOfferResponse, error) {
	out := new(SaveOfferResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/SaveOffer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ActivateOffer(ctx context.Context, in *ActivateOfferRequest, opts ...grpc.CallOption) (*ActivateOfferResponse, error) {
	out := new(ActivateOfferResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ActivateOffer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) RejectOffer(ctx context.Context, in *RejectOfferRequest, opts ...grpc.CallOption) (*RejectOfferResponse, error) {
	out := new(RejectOfferResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/RejectOffer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) GetOfferFile(ctx context.Context, in *order.GetOfferFileRequest, opts ...grpc.CallOption) (*order.GetOfferFileResponse, error) {
	out := new(order.GetOfferFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/GetOfferFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) ListOfferFile(ctx context.Context, in *order.ListOfferFileRequest, opts ...grpc.CallOption) (*order.ListOfferFileResponse, error) {
	out := new(order.ListOfferFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/ListOfferFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) AddOfferFile(ctx context.Context, in *order.AddOfferFileRequest, opts ...grpc.CallOption) (*order.AddOfferFileResponse, error) {
	out := new(order.AddOfferFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/AddOfferFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *offerServiceClient) DeleteOfferFile(ctx context.Context, in *order.DeleteOfferFileRequest, opts ...grpc.CallOption) (*order.DeleteOfferFileResponse, error) {
	out := new(order.DeleteOfferFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OfferService/DeleteOfferFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// OfferServiceServer is the server API for OfferService service.
// All implementations must embed UnimplementedOfferServiceServer
// for forward compatibility
type OfferServiceServer interface {
	ListOfferProcess(context.Context, *order.ListOfferProcessRequest) (*order.DictResponse, error)
	ListOfferProcessType(context.Context, *order.ListOfferProcessTypeRequest) (*order.DictResponse, error)
	ListOfferDeliveryCondition(context.Context, *order.ListOfferDeliveryConditionRequest) (*order.DictResponse, error)
	ListOfferPaymentCondition(context.Context, *order.ListOfferPaymentConditionRequest) (*order.DictResponse, error)
	ListOfferCategory(context.Context, *order.ListOfferCategoryRequest) (*order.DictResponse, error)
	ListOfferBrand(context.Context, *order.ListOfferBrandRequest) (*order.DictResponse, error)
	ListOfferProduct(context.Context, *order.ListOfferProductRequest) (*order.DictResponse, error)
	ListOfferQuantityType(context.Context, *order.ListOfferQuantityTypeRequest) (*order.DictResponse, error)
	ListOfferNames(context.Context, *order.ListOfferNamesRequest) (*order.ListOfferNamesResponse, error)
	GetOffer(context.Context, *order.GetOfferRequest) (*order.GetOfferResponse, error)
	ListOffer(context.Context, *order.ListOfferRequest) (*order.ListOfferResponse, error)
	SaveOffer(context.Context, *SaveOfferRequest) (*SaveOfferResponse, error)
	ActivateOffer(context.Context, *ActivateOfferRequest) (*ActivateOfferResponse, error)
	RejectOffer(context.Context, *RejectOfferRequest) (*RejectOfferResponse, error)
	GetOfferFile(context.Context, *order.GetOfferFileRequest) (*order.GetOfferFileResponse, error)
	ListOfferFile(context.Context, *order.ListOfferFileRequest) (*order.ListOfferFileResponse, error)
	AddOfferFile(context.Context, *order.AddOfferFileRequest) (*order.AddOfferFileResponse, error)
	DeleteOfferFile(context.Context, *order.DeleteOfferFileRequest) (*order.DeleteOfferFileResponse, error)
	mustEmbedUnimplementedOfferServiceServer()
}

// UnimplementedOfferServiceServer must be embedded to have forward compatible implementations.
type UnimplementedOfferServiceServer struct {
}

func (UnimplementedOfferServiceServer) ListOfferProcess(context.Context, *order.ListOfferProcessRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferProcess not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferProcessType(context.Context, *order.ListOfferProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferProcessType not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferDeliveryCondition(context.Context, *order.ListOfferDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferDeliveryCondition not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferPaymentCondition(context.Context, *order.ListOfferPaymentConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferPaymentCondition not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferCategory(context.Context, *order.ListOfferCategoryRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferCategory not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferBrand(context.Context, *order.ListOfferBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferBrand not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferProduct(context.Context, *order.ListOfferProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferProduct not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferQuantityType(context.Context, *order.ListOfferQuantityTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferQuantityType not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferNames(context.Context, *order.ListOfferNamesRequest) (*order.ListOfferNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferNames not implemented")
}
func (UnimplementedOfferServiceServer) GetOffer(context.Context, *order.GetOfferRequest) (*order.GetOfferResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOffer not implemented")
}
func (UnimplementedOfferServiceServer) ListOffer(context.Context, *order.ListOfferRequest) (*order.ListOfferResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOffer not implemented")
}
func (UnimplementedOfferServiceServer) SaveOffer(context.Context, *SaveOfferRequest) (*SaveOfferResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveOffer not implemented")
}
func (UnimplementedOfferServiceServer) ActivateOffer(context.Context, *ActivateOfferRequest) (*ActivateOfferResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ActivateOffer not implemented")
}
func (UnimplementedOfferServiceServer) RejectOffer(context.Context, *RejectOfferRequest) (*RejectOfferResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RejectOffer not implemented")
}
func (UnimplementedOfferServiceServer) GetOfferFile(context.Context, *order.GetOfferFileRequest) (*order.GetOfferFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOfferFile not implemented")
}
func (UnimplementedOfferServiceServer) ListOfferFile(context.Context, *order.ListOfferFileRequest) (*order.ListOfferFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOfferFile not implemented")
}
func (UnimplementedOfferServiceServer) AddOfferFile(context.Context, *order.AddOfferFileRequest) (*order.AddOfferFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddOfferFile not implemented")
}
func (UnimplementedOfferServiceServer) DeleteOfferFile(context.Context, *order.DeleteOfferFileRequest) (*order.DeleteOfferFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOfferFile not implemented")
}
func (UnimplementedOfferServiceServer) mustEmbedUnimplementedOfferServiceServer() {}

// UnsafeOfferServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to OfferServiceServer will
// result in compilation errors.
type UnsafeOfferServiceServer interface {
	mustEmbedUnimplementedOfferServiceServer()
}

func RegisterOfferServiceServer(s grpc.ServiceRegistrar, srv OfferServiceServer) {
	s.RegisterService(&OfferService_ServiceDesc, srv)
}

func _OfferService_ListOfferProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferProcess(ctx, req.(*order.ListOfferProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferProcessType(ctx, req.(*order.ListOfferProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferDeliveryCondition(ctx, req.(*order.ListOfferDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferPaymentCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferPaymentConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferPaymentCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferPaymentCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferPaymentCondition(ctx, req.(*order.ListOfferPaymentConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferCategory(ctx, req.(*order.ListOfferCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferBrand(ctx, req.(*order.ListOfferBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferProduct(ctx, req.(*order.ListOfferProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferQuantityType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferQuantityTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferQuantityType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferQuantityType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferQuantityType(ctx, req.(*order.ListOfferQuantityTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferNames(ctx, req.(*order.ListOfferNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_GetOffer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetOfferRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).GetOffer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/GetOffer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).GetOffer(ctx, req.(*order.GetOfferRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOffer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOffer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOffer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOffer(ctx, req.(*order.ListOfferRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_SaveOffer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SaveOfferRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).SaveOffer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/SaveOffer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).SaveOffer(ctx, req.(*SaveOfferRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ActivateOffer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ActivateOfferRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ActivateOffer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ActivateOffer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ActivateOffer(ctx, req.(*ActivateOfferRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_RejectOffer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RejectOfferRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).RejectOffer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/RejectOffer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).RejectOffer(ctx, req.(*RejectOfferRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_GetOfferFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetOfferFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).GetOfferFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/GetOfferFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).GetOfferFile(ctx, req.(*order.GetOfferFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_ListOfferFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOfferFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).ListOfferFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/ListOfferFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).ListOfferFile(ctx, req.(*order.ListOfferFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_AddOfferFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.AddOfferFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).AddOfferFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/AddOfferFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).AddOfferFile(ctx, req.(*order.AddOfferFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OfferService_DeleteOfferFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.DeleteOfferFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OfferServiceServer).DeleteOfferFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OfferService/DeleteOfferFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OfferServiceServer).DeleteOfferFile(ctx, req.(*order.DeleteOfferFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// OfferService_ServiceDesc is the grpc.ServiceDesc for OfferService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var OfferService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_web.OfferService",
	HandlerType: (*OfferServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListOfferProcess",
			Handler:    _OfferService_ListOfferProcess_Handler,
		},
		{
			MethodName: "ListOfferProcessType",
			Handler:    _OfferService_ListOfferProcessType_Handler,
		},
		{
			MethodName: "ListOfferDeliveryCondition",
			Handler:    _OfferService_ListOfferDeliveryCondition_Handler,
		},
		{
			MethodName: "ListOfferPaymentCondition",
			Handler:    _OfferService_ListOfferPaymentCondition_Handler,
		},
		{
			MethodName: "ListOfferCategory",
			Handler:    _OfferService_ListOfferCategory_Handler,
		},
		{
			MethodName: "ListOfferBrand",
			Handler:    _OfferService_ListOfferBrand_Handler,
		},
		{
			MethodName: "ListOfferProduct",
			Handler:    _OfferService_ListOfferProduct_Handler,
		},
		{
			MethodName: "ListOfferQuantityType",
			Handler:    _OfferService_ListOfferQuantityType_Handler,
		},
		{
			MethodName: "ListOfferNames",
			Handler:    _OfferService_ListOfferNames_Handler,
		},
		{
			MethodName: "GetOffer",
			Handler:    _OfferService_GetOffer_Handler,
		},
		{
			MethodName: "ListOffer",
			Handler:    _OfferService_ListOffer_Handler,
		},
		{
			MethodName: "SaveOffer",
			Handler:    _OfferService_SaveOffer_Handler,
		},
		{
			MethodName: "ActivateOffer",
			Handler:    _OfferService_ActivateOffer_Handler,
		},
		{
			MethodName: "RejectOffer",
			Handler:    _OfferService_RejectOffer_Handler,
		},
		{
			MethodName: "GetOfferFile",
			Handler:    _OfferService_GetOfferFile_Handler,
		},
		{
			MethodName: "ListOfferFile",
			Handler:    _OfferService_ListOfferFile_Handler,
		},
		{
			MethodName: "AddOfferFile",
			Handler:    _OfferService_AddOfferFile_Handler,
		},
		{
			MethodName: "DeleteOfferFile",
			Handler:    _OfferService_DeleteOfferFile_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_web/offer_web.proto",
}
